CREATE TABLE bm_oauth_access_token (
    ID               NUMBER(18, 0) ,
    CLIENT_ID        NUMBER(18, 0) ,
    USER_ID          NUMBER(18, 0)     NOT NULL,
    SESSION_ID       NUMBER(18, 0)     NOT NULL,
    ACCESS_TOKEN     VARCHAR2(4000)    NOT NULL,
    EXPIRES_AT       NUMBER(18, 0)     NOT NULL,
    DATE_ADDED       DATE              NOT NULL,
    DATE_MODIFIED    DATE              NOT NULL,
    ID               NUMBER(18, 0) ,
    CLIENT_ID        NUMBER(18, 0) ,
    USER_ID          NUMBER(18, 0)     NOT NULL,
    SESSION_ID       NUMBER(18, 0)     NOT NULL,
    ACCESS_TOKEN     VARCHAR2(4000)    NOT NULL,
    EXPIRES_AT       NUMBER(18, 0)     NOT NULL,
    DATE_ADDED       DATE              NOT NULL,
    DATE_MODIFIED    DATE              NOT NULL,
    CONSTRAINT pk_bm_oauth_access_token PRIMARY KEY (ID, ID)
);
